Bug 1805872 - [4.4] improve reliability during upgrade by using a deployment
Summary: [4.4] improve reliability during upgrade by using a deployment
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: openshift-apiserver
Version: 4.4
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.4.0
Assignee: Maru Newby
QA Contact: Xingxing Xia
URL:
Whiteboard:
Depends On: 1804717
Blocks: 1805388
TreeView+ depends on / blocked
 
Reported: 2020-02-21 16:51 UTC by Maru Newby
Modified: 2020-05-13 21:59 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of: 1804717
Environment:
Last Closed: 2020-05-13 21:59:44 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-openshift-apiserver-operator pull 325 None closed Bug 1805872: 4.4 cherry-pick of switch from daemonset to deployment 2020-05-11 15:04:36 UTC
Red Hat Product Errata RHBA-2020:0581 None None None 2020-05-13 21:59:46 UTC

Description Maru Newby 2020-02-21 16:51:14 UTC
+++ This bug was initially created as a clone of Bug #1804717 +++

DaemonSets are special cased during host shutdown and don't get a chance to gracefully fail over.  This can cause problems with both connectivity on a kill (non-grace shutdown) and sudden loss of etcd connection.

Switching to a deployment will alleviate symptoms.  We original chose a daemonset for spreading and for scaling.  For spreading, we now have anti-affinity rules.  For scaling, we should wire into something like an HPA anyway.

The migration will require PRs back to 4.3 which remove the deployment on downgrade and in 4.4 to remove the daemonset.

Comment 5 errata-xmlrpc 2020-05-13 21:59:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.